Last Comment Bug 714306 - Service handle leak in netwerk/base/src/nsAutodialWin.cpp
: Service handle leak in netwerk/base/src/nsAutodialWin.cpp
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Networking (show other bugs)
: unspecified
: x86_64 Windows 7
: -- normal (vote)
: mozilla12
Assigned To: Brian R. Bondy [:bbondy]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-12-30 10:23 PST by Brian R. Bondy [:bbondy]
Modified: 2012-01-12 08:36 PST (History)
4 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Leak fix. Patch v1. (1.72 KB, patch)
2011-12-30 10:28 PST, Brian R. Bondy [:bbondy]
no flags Details | Diff | Review
Leak fix. Patch v2. (1.90 KB, patch)
2011-12-30 10:30 PST, Brian R. Bondy [:bbondy]
cbiesinger: review+
Details | Diff | Review

Description Brian R. Bondy [:bbondy] 2011-12-30 10:23:31 PST
The calls to OpenSCManager and OpenServiceW in netwerk/base/src/nsAutodialWin.cpp return service handles.  Those handles should be closed but are never being closed.
Comment 1 Brian R. Bondy [:bbondy] 2011-12-30 10:28:05 PST
Created attachment 584988 [details] [diff] [review]
Leak fix. Patch v1.

Service handles were not being closed on any return path.

I'll land this after bug 481815 lands which defines nsAutoServiceHandle (an RAII class for ensuring service handles are closed).
Comment 2 Brian R. Bondy [:bbondy] 2011-12-30 10:30:58 PST
Created attachment 584990 [details] [diff] [review]
Leak fix. Patch v2.

Just fixed whitespace.
Comment 3 Brian R. Bondy [:bbondy] 2012-01-11 08:45:42 PST
Pushed to mozilla-inbound:
http://hg.mozilla.org/integration/mozilla-inbound/rev/1cc0885caf02
Comment 4 Matt Brubeck (:mbrubeck) 2012-01-12 08:36:21 PST
https://hg.mozilla.org/mozilla-central/rev/1cc0885caf02

Note You need to log in before you can comment on or make changes to this bug.